Get budget estimate
curl --request GET \
--url https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"budget_estimate": {
"status": "ready",
"area_sqft": 123,
"roofing_squares": 123,
"min_price": 123,
"max_price": 123,
"exact_price": 123,
"price_display_mode": "exact",
"currency": "USD",
"complexity_tier": "simple",
"confidence": "low",
"provider": "<string>",
"map_lat": 123,
"map_lng": 123,
"disclaimer": "<string>",
"estimate_id": "<string>",
"price_range_percentage": 123,
"price_range_type": "<string>",
"map_zoom": 123,
"base_price_cents_per_sqft": 123,
"modifier_cents_per_sqft": 123,
"price_cents_per_sqft": 123,
"data_layer_preview_available": true,
"solar_estimate": {},
"options": [
{
"material_key": "<string>",
"material_id": "<string>",
"exact_price": 123,
"min_price": 123,
"max_price": 123
}
],
"preferred_material_id": "<string>",
"preferred_color_id": "<string>",
"preferred_manufacturer": "<string>"
},
"input": {
"address": "<string>",
"place_id": "<string>",
"lat": 123,
"lng": 123,
"selected_material_id": "<string>",
"selected_shape_id": "<string>",
"selected_color_id": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "API key does not include the required scope: leads.write.",
"request_id": "req_123",
"details": {
"required_scope": "leads.write",
"missing_scopes": [
"leads.write"
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Budget Estimates
Get budget estimate
Returns a saved Budget Estimate in the create response shape. Only the API key that created the estimate can read it.
GET
/
api
/
v1
/
budget-estimates
/
{estimate_id}
Get budget estimate
curl --request GET \
--url https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roofkit.ai/api/v1/budget-estimates/{estimate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"budget_estimate": {
"status": "ready",
"area_sqft": 123,
"roofing_squares": 123,
"min_price": 123,
"max_price": 123,
"exact_price": 123,
"price_display_mode": "exact",
"currency": "USD",
"complexity_tier": "simple",
"confidence": "low",
"provider": "<string>",
"map_lat": 123,
"map_lng": 123,
"disclaimer": "<string>",
"estimate_id": "<string>",
"price_range_percentage": 123,
"price_range_type": "<string>",
"map_zoom": 123,
"base_price_cents_per_sqft": 123,
"modifier_cents_per_sqft": 123,
"price_cents_per_sqft": 123,
"data_layer_preview_available": true,
"solar_estimate": {},
"options": [
{
"material_key": "<string>",
"material_id": "<string>",
"exact_price": 123,
"min_price": 123,
"max_price": 123
}
],
"preferred_material_id": "<string>",
"preferred_color_id": "<string>",
"preferred_manufacturer": "<string>"
},
"input": {
"address": "<string>",
"place_id": "<string>",
"lat": 123,
"lng": 123,
"selected_material_id": "<string>",
"selected_shape_id": "<string>",
"selected_color_id": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "API key does not include the required scope: leads.write.",
"request_id": "req_123",
"details": {
"required_scope": "leads.write",
"missing_scopes": [
"leads.write"
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Required scopes:
sales_visualizer.useAuthorizations
Use Authorization: Bearer rk_live_....
Path Parameters
Required string length:
4 - 200Pattern:
^be_[A-Za-z0-9_-]+$